summaryrefslogtreecommitdiff
path: root/x11-wm
diff options
context:
space:
mode:
authorMatthew S. Turnbull <sparky@bluefang-logic.com>2021-01-08 01:19:49 -0500
committerJoonas Niilola <juippis@gentoo.org>2021-01-24 19:30:54 +0200
commit567b2b904e1c612798f7b32d3c4b25897e71e9c1 (patch)
tree268f0ef5137d9f0df29a5e1f686796a420b58375 /x11-wm
parentgnome-extra/cjs: 4.8.2 version bump (diff)
downloadgentoo-567b2b904e1c612798f7b32d3c4b25897e71e9c1.tar.gz
gentoo-567b2b904e1c612798f7b32d3c4b25897e71e9c1.tar.bz2
gentoo-567b2b904e1c612798f7b32d3c4b25897e71e9c1.zip
x11-wm/muffin: 4.8.1 version bump
Bug: https://bugs.gentoo.org/757708 Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Diffstat (limited to 'x11-wm')
-rw-r--r--x11-wm/muffin/Manifest1
-rw-r--r--x11-wm/muffin/muffin-4.8.1.ebuild107
2 files changed, 108 insertions, 0 deletions
diff --git a/x11-wm/muffin/Manifest b/x11-wm/muffin/Manifest
index f79bbf2e607..659b8441a10 100644
--- a/x11-wm/muffin/Manifest
+++ b/x11-wm/muffin/Manifest
@@ -1 +1,2 @@
DIST muffin-4.6.3.tar.gz 5196072 BLAKE2B 1b8c0eeab13c35fc0b66898328f378331cb2bfc78b27a48a8f9e22c842df1a223613f27f5b29fe28c1edaaeb59972262024ed656dfabafa6c9454c4c4c0a74b9 SHA512 c07d83656d3a9164ad488b500f98acb88e0c8e2374af858776ff27dbe90880db4310405505d79539222ba3b4ddedb22934ef3e0f1f6198dc7b36986b784b48f5
+DIST muffin-4.8.1.tar.gz 5195618 BLAKE2B 33dbbf7231b8f8d5c7df23d6cf8ddb29a86caca7b8c3b4af1231c98e114ee797d1c6bc866574348fcabaa65a93ff95c80366329bd5a41a46a74ba53ba81ce545 SHA512 61b621c7a4e25fc8ac69f2f5182e2caf52dfcfd456154f3b91ebb8b126319e704acd927ab5abe9e19ff057f38002a3b7e322e8d411db21e0fee7ec19d7928d31
diff --git a/x11-wm/muffin/muffin-4.8.1.ebuild b/x11-wm/muffin/muffin-4.8.1.ebuild
new file mode 100644
index 00000000000..2ba5eea03ff
--- /dev/null
+++ b/x11-wm/muffin/muffin-4.8.1.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools gnome2-utils xdg-utils virtualx
+
+DESCRIPTION="Compositing window manager forked from Mutter for use with Cinnamon"
+HOMEPAGE="https://projects.linuxmint.com/cinnamon/ https://github.com/linuxmint/muffin"
+SRC_URI="https://github.com/linuxmint/muffin/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="+introspection test xinerama"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-libs/glib-2.37.3:2[dbus]
+ >=dev-libs/json-glib-1.0
+ >=gnome-extra/cinnamon-desktop-4.8:0=
+ gnome-extra/zenity
+ >=media-libs/libcanberra-0.26[gtk3]
+ virtual/opengl
+ >=x11-libs/cairo-1.14:=[X]
+ x11-libs/gdk-pixbuf:2[introspection?]
+ >=x11-libs/gtk+-3.9.12:3[X,introspection?]
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libxcb
+ >=x11-libs/libXcomposite-0.3
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ >=x11-libs/libXi-1.6.0
+ >=x11-libs/libxkbcommon-0.4.3
+ x11-libs/libxkbfile
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ >=x11-libs/pango-1.14.0[X,introspection?]
+ >=x11-libs/startup-notification-0.7:=
+ x11-misc/xkeyboard-config
+
+ introspection? ( >=dev-libs/gobject-introspection-0.9.12:= )
+ xinerama? ( x11-libs/libXinerama )
+"
+DEPEND="
+ ${RDEPEND}
+ x11-base/xorg-proto
+
+ test? ( app-text/docbook-xml-dtd:4.5 )
+"
+# needs gtk-doc, not just -am, for gtk-doc.make
+BDEPEND="
+ dev-util/glib-utils
+ dev-util/gtk-doc
+ dev-util/gtk-doc-am
+ >=dev-util/intltool-0.35
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ xdg_environment_reset
+ default
+ eautoreconf
+ gnome2_disable_deprecation_warning
+}
+
+# Wayland is not supported upstream.
+src_configure() {
+ econf \
+ --disable-gtk-doc \
+ --disable-maintainer-mode \
+ --disable-schemas-compile \
+ --enable-compile-warnings=minimum \
+ --disable-static \
+ --enable-shape \
+ --enable-sm \
+ --enable-startup-notification \
+ --enable-xsync \
+ --enable-verbose-mode \
+ --with-libcanberra \
+ $(use_enable introspection) \
+ $(use_enable xinerama)
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+ dodoc HACKING MAINTAINERS *.txt doc/*.txt
+}
+
+src_test() {
+ virtx default
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ gnome2_schemas_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ gnome2_schemas_update
+}